package com.example.monitorpatientstatus.mapper;

import com.example.monitorpatientstatus.entity.Doctor;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

//@Repository将类标识为bean
@Repository
@Mapper
public interface DoctorMapper {
    List<Doctor> findAll();
<<<<<<< HEAD
    Doctor findByName(@Param("username") String username);
    Doctor findById(@Param("id")int id);
    String findPswByName(@Param("UserName") String UserName);
    //void save(Doctor user);
=======
    Doctor findByName(String name);
    Doctor findById(int id);
    String findPswByName(String UserName);
>>>>>>> 2b5dd337f2839d36072f220b2f5dfa9a55eec781
    void modify(Doctor doctor);
}
